- job:
    name: linaro-art-vixlpresubmit-native-armv8
    project-type: freestyle
    defaults: global
    description: >
      Runs the
      <a href="https://github.com/Linaro/vixl/blog/master/tools/test.py">Vixl Presubmit Tests</a>
      using the
      <a href="https://github.com/Linaro/vixl">Linaro VIXL tree</a> on ARMv8 hardware.
    properties:
        - authorization:
            anonymous:
                - job-discover
                - job-read
            linaro-android-builders:
                - job-read
                - job-extended-read
                - job-workspace
            linaro-vixl:
                - job-build
                - job-read
                - job-extended-read
                - job-workspace
            linaro-art:
                - job-build
                - job-read
                - job-extended-read
                - job-workspace
        - build-discarder:
            days-to-keep: 60
            num-to-keep: 60
        - github:
            url: https://github.com/Linaro/vixl
    disabled: true
    node: docker-bionic-arm64
    display-name: 'DELETE ME'
    concurrent: true
    scm:
        - git:
            url: https://github.com/Linaro/vixl.git
            refspec: +refs/pull/*:refs/remotes/origin/pr/*
            name: origin
            branches:
                - ${sha1}
            basedir: vixl
            skip-tag: true
            shallow-clone: true
            wipe-workspace: true
    parameters:
      - string:
          name: VIXL_TEST_ARGS
          default: "--fail-early --compiler=g++"
    triggers:
        - github-pull-request:
            github-hooks: true
            permit-all: true
            white-list-target-branches:
                - 'main'
                - 'master'
                - 'mte'
            auth-id: 'GITHUB_TOKEN'
            status-context: 'VIXL ARMv8 Presubmit Test'
            success-status: 'presubmit armv8 test succeeded'
            failure-status: 'presubmit armv8 test failed'
            error-status: 'presubmit armv8 test error'
    wrappers:
        - timestamps
        - timeout:
            timeout: 480
    builders:
        - shell: !include-raw: linaro-art/vixl/presubmit.sh
    publishers:
        - groovy-postbuild:
            script:
              !include-raw:
                - linaro-art/global.groovy
